Name:           movit
Version:        1.5.3
Release:        2%{?dist}
Summary:        GPU video filter library
License:        GPLv2+
Url:            https://movit.sesse.net
Source0:        https://movit.sesse.net/%{name}-%{version}.tar.gz
# The file COPYING  only available in the master branch and
# will be released in the next version > 1.5.3
Source1:        COPYING

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  gtest-devel
Requires:       %{name}-data = %{version}-%{release}

%description
Movit is a library for video filters. It uses the GPU present in many
computers to accelerate computation of common filters and
transitions, facilitating real-time HD video editing.

This package contains the Movit shared library.

%package devel
Summary:        Development files for the Movit GPU video filter library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Movit is a library for video filters. It uses the GPU present in many
computers to accelerate computation of common filters and
transitions, facilitating real-time HD video editing.

This package contains the development files (library and header files).

%package        data
Summary:        Data files for the Movit GPU video filter library
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    data
Movit is a library for video filters. It uses the GPU present in many
computers to accelerate computation of common filters and
transitions, facilitating real-time HD video editing.

This package contains the architecture-independent data files.

%prep
%setup -q
cp -av %{SOURCE1} .

%build
%configure --disable-static
%make_build TESTS=

%install
sed -i 's/-m 0644 libmovit.la/libmovit.la/' Makefile
%make_install

rm %{buildroot}%{_libdir}/libmovit.la

#check
# skipped test suite due src/gtest-all.cc is missing
# make check

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files
%doc README NEWS
%license COPYING
%{_libdir}/libmovit.so.*

%files data
%{_datadir}/movit/

%files devel
%{_libdir}/libmovit.so
%{_includedir}/movit
%{_libdir}/pkgconfig/movit.pc

%changelog
* Sat Sep 23 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.5.3-2
- Correct license tag to GPLv2+
- Add comment why adding licensing test file
- Add %%license macro only to main package
- Add RR %%{name}-data = %%{version}-%%{release} to main package
- Add RR %%{name} = %%{version}-%%{release} to data sub package

* Sat Sep 09 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.5.3-1
- Initial package: movit-1.5.3
